
%global PREFIX /usr/
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT ksm-throttler
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%define  debug_package %{nil}

Name:      kata-ksm-throttler
Version:   1.7.3
Release:   1.0.4%{?dist}
#   0.20190703.gitc89f436
Vendor:    Oracle America
Summary:   KSM throttling daemon for Kata containers
Group:     Development/Tools
Url:	   https://github.com/kata-containers/ksm-throttler
License:   Apache-2.0

Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: git
BuildRequires: systemd
BuildRequires: golang >= 1.12.10
%if 0%{?suse_version} && 0%{?is_opensuse}
BuildRequires: openSUSE-release
%endif

Conflicts: cc-ksm-throttler

%description
KSM (Kernel Samepage Merging) is a memory-saving de-duplication feature of Linux kernel.
This component implements algorithm and triggers used by Kata containers to throttle KSM up and down.

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/kata-ksm-throttler-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
    COMMIT=c89f436 \
    TARGET=kata-ksm-throttler \
    LIBEXECDIR=%{LIBEXECDIR}

%install
export GOPATH=$HOME/rpmbuild/BUILD/go/

cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make install \
    COMMIT=c89f436 \
    TARGET=kata-ksm-throttler \
    DESTDIR=%{buildroot} \
    LIBEXECDIR=%{LIBEXECDIR}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-ksm-throttler
%{LIBEXECDIR}/kata-ksm-throttler/kata-ksm-throttler
%{LIBEXECDIR}/kata-ksm-throttler/trigger
%{LIBEXECDIR}/kata-ksm-throttler/trigger/virtcontainers
%{LIBEXECDIR}/kata-ksm-throttler/trigger/virtcontainers/vc
/usr/lib/systemd/system/kata-ksm-throttler.service
/usr/lib/systemd/system/kata-vc-throttler.service

%changelog
* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.4
- Golang CVE-2019-16276

* Mon Oct 14 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.7.3-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.7.3-1.0.2
- moved to semantic versioning for Release and added Url

* Wed Jul 10 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.7.3-1
- Added Oracle Specific Build Files for kata-ksm-throttler
